Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFChartSheet

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.usermodel.XSSFSheet
              org.apache.poi.xssf.usermodel.XSSFChartSheet

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.Sheet, poi.support.Iterable

    public class XSSFChartSheet

extends XSSFSheet

High level representation of Sheet Parts that are of type 'chartsheet'.

Chart sheet is a special kind of Sheet that contains only chart and no data.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Fields inherited from interface org.apache.poi.ss.usermodel.Sheet
`BottomMargin, FooterMargin, HeaderMargin, LeftMargin, PANE_LOWER_LEFT, PANE_LOWER_RIGHT, PANE_UPPER_LEFT, PANE_UPPER_RIGHT, RightMargin, TopMargin`

Method Summary
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTChartsheet` | `getCTChartsheet()` Provide access to the CTChartsheet bean holding this sheet's data

Methods inherited from class org.apache.poi.xssf.usermodel.XSSFSheet
`addMergedRegion, addValidationData, autoSizeColumn, autoSizeColumn, createComment, createDrawingPatriarch, createFreezePane, createFreezePane, createRow, createSplitPane, disableLocking, enableLocking, findEndOfRowOutlineGroup, getActiveCell, getAutobreaks, getCellComment, getColumnBreaks, getColumnHelper, getColumnStyle, getColumnWidth, getCTWorksheet, getDataValidationHelper, getDataValidations, getDefaultColumnWidth, getDefaultRowHeight, getDefaultRowHeightInPoints, getDisplayGuts, getEvenFooter, getEvenHeader, getFirstFooter, getFirstHeader, getFirstRowNum, getFitToPage, getFooter, getHeader, getHorizontallyCenter, getHyperlink, getLastRowNum, getLeftCol, getMargin, getMergedRegion, getNumHyperlinks, getNumMergedRegions, getOddFooter, getOddHeader, getPaneInformation, getPhysicalNumberOfRows, getPrintSetup, getProtect, getRow, getRowBreaks, getRowSumsBelow, getRowSumsRight, getScenarioProtect, getSheetName, getTopRow, getVerticallyCenter, getWorkbook, groupColumn, groupRow, hasComments, isAutoFilterLocked, isColumnBroken, isColumnHidden, isDeleteColumnsLocked, isDeleteRowsLocked, isDisplayFormulas, isDisplayGridlines, isDisplayRowColHeadings, isDisplayZeros, isFormatCellsLocked, isFormatColumnsLocked, isFormatRowsLocked, isInsertColumnsLocked, isInsertHyperlinksLocked, isInsertRowsLocked, isObjectsLocked, isPivotTablesLocked, isPrintGridlines, isRowBroken, isScenariosLocked, isSelected, isSelectLockedCellsLocked, isSelectUnlockedCellsLocked, isSheetLocked, isSortLocked, iterator, lockAutoFilter, lockDeleteColumns, lockDeleteRows, lockFormatCells, lockFormatColumns, lockFormatRows, lockInsertColumns, lockInsertHyperlinks, lockInsertRows, lockObjects, lockPivotTables, lockScenarios, lockSelectLockedCells, lockSelectUnlockedCells, lockSort, protectSheet, removeArrayFormula, removeColumnBreak, removeMergedRegion, removeRow, removeRowBreak, rowIterator, setActiveCell, setArrayFormula, setAutobreaks, setAutoFilter, setCellComment, setColumnBreak, setColumnGroupCollapsed, setColumnHidden, setColumnWidth, setDefaultColumnStyle, setDefaultColumnWidth, setDefaultRowHeight, setDefaultRowHeightInPoints, setDisplayFormulas, setDisplayGridlines, setDisplayGuts, setDisplayRowColHeadings, setDisplayZeros, setFitToPage, setHorizontallyCenter, setMargin, setPrintGridlines, setRowBreak, setRowGroupCollapsed, setRowSumsBelow, setRowSumsRight, setSelected, setVerticallyCenter, setZoom, setZoom, shiftRows, shiftRows, showInPane, ungroupColumn, ungroupRow`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, removeRelation, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCTChartsheet

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTChartsheet getCTChartsheet()

  Provide access to the CTChartsheet bean holding this sheet's data

  Returns:
    the CTChartsheet bean holding this sheet's data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD